%global packname  forcats
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          0.4.0
Release:          1%{?dist}
Summary:          Tools for Working with Categorical Variables (Factors)

License:          GPLv3
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-ellipsis, R-magrittr, R-rlang, R-tibble
# Suggests:  R-covr, R-ggplot2, R-testthat, R-readr, R-knitr, R-rmarkdown, R-dplyr
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-ellipsis
Requires:         R-magrittr
Requires:         R-rlang
Requires:         R-tibble
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-ellipsis
BuildRequires:    R-magrittr
BuildRequires:    R-rlang
BuildRequires:    R-tibble
BuildRequires:    R-ggplot2
BuildRequires:    R-testthat
BuildRequires:    R-readr
BuildRequires:    R-knitr
BuildRequires:    R-rmarkdown
BuildRequires:    R-dplyr

%description
Helpers for reordering factor levels (including moving specified levels to
front, ordering by first appearance, reversing, and randomly shuffling), and
tools for modifying factor levels (including collapsing rare levels into other,
'anonymising', and manually 'recoding').


%prep
%setup -q -c -n %{packname}

# Don't need coverage; it's not packaged either.
sed -i 's/covr, //g' %{packname}/DESCRIPTION


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/data


%changelog
* Wed Mar 20 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.4.0-1
- initial package for Fedora
